#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	urlgrabber

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	A high-level cross-protocol url-grabber
Name:		python%{PVER}-%{original_name}
Version:	3.9.1
Release:	2
License:	LGPL
URL:		http://linux.duke.edu/projects/%{original_name}/
Group:		Networking/File Transfer
Source0:	%{original_name}-%{version}.tar.gz
Patch0:		urlgrabber-HEAD.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Provides:	urlgrabber = %{version}-%{release}
Obsoletes:	urlgrabber >= %{version}
Obsoletes:	python25-urlgrabber

%description
urlgrabber is a pure python package that drastically simplifies the fetching of files.
It is designed to be used in programs that need common (but not necessarily simple)
url-fetching features. It is extremely simple to drop into an existing program and provides
a clean interface to protocol-independant file-access. Best of all, urlgrabber takes
care of all those pesky file-fetching details, and lets you focus on whatever it is
that your program is written to do!

%prep
%setup -q -n %{original_name}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%files
%defattr(-,root,root)
%_bindir/urlgrabber
%_datadir/doc/%{original_name}-%{version}
%{python_sitelib}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{original_name}*

%changelog
* Wed Apr 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 3.9.1-2
- added HEAD patch to fix package retrieval from local file directories
* Sun Apr 10 2011 Karsten Brockmann <arcam@ccux-linux.de> 3.9.1-1
- Version update
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 3.1.0-3
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 3.1.0-2
- rebuild against python25-2.5.4-3
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 3.1.0-1
- Version update, built with explicit /usr/bin/python2.5
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.10-1
- Version update
- built against python 2.5
* Fri Jun 02 2006 Christian Metzen <metzench@ccux-linux.de> 2.9.9-1
- Initial Release
